*include ..\include.src.bas\BasicMaterialParameters.bas
  YIELD *MatProp(Yield_Strength_YS,Real)
  HARDENING *MatProp(Hardening_Modulus-HM,Real)
*include ..\include.src.bas\Function_for_E.bas
*include ..\include.src.bas\Function_for_Yield_Strength.bas
*include ..\include.src.bas\Definition_of_Thermal_Strain.bas

MATERIAL ID *matvar 
  NAME "#*matvar *MatProp(0) as CC3DBiLinearVonMisesWithTempDepProperties"
  TYPE "CCMaterialWithTempDepProperties"
  BASE *Operation(matvar*IncrAdvancedMatID)
  PARAM  "E"              F *Operation(matvar*IncrAdvancedFunID+1)
  PARAM  "YIELD" F *Operation(matvar*IncrAdvancedFunID+3)
  EPS_T_F  *Operation(matvar*IncrAdvancedFunID+11)
